Bug 949038 - (horde) Review Request: php-horde-horde - Horde Application Framework
Review Request: php-horde-horde - Horde Application Framework
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On: Horde_Rpc Horde_Core Horde_View Horde_Form
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-05 12:57 EDT by Remi Collet
Modified: 2014-06-11 19:33 EDT (History)
4 users (show)

See Also:
Fixed In Version: php-horde-horde-5.1.6-3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-29 01:12:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
phpcompatinfo.log (38.64 KB, text/x-log)
2014-04-12 17:42 EDT, Shawn Iwinski
no flags Details
fedora-review.txt (13.96 KB, text/plain)
2014-04-12 17:42 EDT, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2013-04-05 12:57:23 EDT
Spec URL: https://raw.github.com/remicollet/remirepo/5c6834329bf3993a596ceb09378d57ca824607ab/php/horde/php-horde-horde/php-horde-horde.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-horde-horde-5.0.4-2.remi.src.rpm
Description: 
The Horde Application Framework is a flexible, modular, general-purpose web
application framework written in PHP. It provides an extensive array of
components that are targeted at the common problems and tasks involved in
developing modern web applications. It is the basis for a large number of
production-level web applications, notably the Horde Groupware suites. For
more information on Horde or the Horde Groupware suites, visit
http://www.horde.org.

Fedora Account System Username: remi
Comment 1 Remi Collet 2013-04-05 13:26:38 EDT
The test to obsoletes/conflicts current package is temporary.

Will have to be fixed when all the horde packages will be ready and the old ones could be removed from repository.

The conflicts allow to keep both in the repository for some time (at least in stable release, so F18, and perhaps F19, to be discussed)
Comment 5 Greg Swallow 2014-03-31 14:29:08 EDT
Looks like there is nothing blocking this review now.  Great work (and persistance / patience) Remi!  I'll be happy to test Horde when this last package is in the testing repo.
Comment 6 Shawn Iwinski 2014-04-12 17:42:28 EDT
Created attachment 885791 [details]
phpcompatinfo.log

phpcompatinfo version 2.26.0
Comment 7 Shawn Iwinski 2014-04-12 17:42:59 EDT
Created attachment 885792 [details]
fedora-review.txt

Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 -b 949038
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 8 Shawn Iwinski 2014-04-12 17:45:48 EDT
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, just clean these up after initial import.



[x]: Requires correct, justified where necessary.

     From package.xml:
         php-filter
     
     From phpcompatinfo:
         php-json
     
     Comment:
         # Optional but implicitly required
         #               Horde_Db, Horde_Feed, Horde_Oauth, Horde_SyncMl
     but Horde_Feed is listed as required



[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
     
     php-horde-horde.noarch: E: incorrect-fsf-address /usr/share/doc/pear/horde/COPYING

     I am leaving it up to you to determine the "correctness" of the other rpmlint warnings/errors.
Comment 9 Remi Collet 2014-04-13 03:28:54 EDT
Thanks !!

https://github.com/remicollet/remirepo/commit/8b9a404eb17aca5fe3c98ccb6f44c6eedcc65e85



New Package SCM Request
=======================
Package Name: php-horde-horde
Short Description: Horde Application Framework
Owners: remi
Branches: f20 el6 epel7
InitialCC:
Comment 10 Kevin Fenzi 2014-04-13 16:33:43 EDT
Git done (by process-git-requests).
Comment 11 Remi Collet 2014-04-29 01:12:18 EDT
Build in rawhide + epel7

Will push all the horde applications at the same time (when all will be reviewed) in f20 / epel6
Comment 12 Fedora Update System 2014-05-19 11:08:07 EDT
php-horde-horde-5.1.6-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-horde-horde-5.1.6-3.el6
Comment 13 Fedora Update System 2014-05-19 11:08:16 EDT
php-horde-horde-5.1.6-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/php-horde-horde-5.1.6-3.fc20
Comment 14 Fedora Update System 2014-06-05 00:21:36 EDT
php-horde-horde-5.1.6-3.fc20 has been pushed to the Fedora 20 stable repository.
Comment 15 Fedora Update System 2014-06-11 19:33:52 EDT
php-horde-horde-5.1.6-3.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.